<Type Name="Rectangle" FullName="Cairo.Rectangle">
  <TypeSignature Language="C#" Value="public struct Rectangle" />
  <AssemblyInfo>
    <AssemblyName>Mono.Cairo</AssemblyName>
    <AssemblyVersion>1.0.5000.0</AssemblyVersion>
  </AssemblyInfo>
  <Base>
    <BaseTypeName>System.ValueType</BaseTypeName>
  </Base>
  <Interfaces />
  <Members>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public Rectangle (double x, double y, double width, double height);" />
      <MemberType>Constructor</MemberType>
      <Parameters>
        <Parameter Name="x" Type="System.Double" />
        <Parameter Name="y" Type="System.Double" />
        <Parameter Name="width" Type="System.Double" />
        <Parameter Name="height" Type="System.Double" />
      </Parameters>
      <Docs>
        <param name="x">the X value</param>
        <param name="y">the Y value</param>
        <param name="width">the width</param>
        <param name="height">the height</param>
        <summary>Creates a new Rectangle at x, y with the given width and height.</summary>
        <remarks>
        </remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public Rectangle (Cairo.Point point, double width, double height);" />
      <MemberType>Constructor</MemberType>
      <Parameters>
        <Parameter Name="point" Type="Cairo.Point" />
        <Parameter Name="width" Type="System.Double" />
        <Parameter Name="height" Type="System.Double" />
      </Parameters>
      <Docs>
        <param name="point">the starting point for the rectangle</param>
        <param name="width">the width</param>
        <param name="height">the height</param>
        <summary>Creates a new Rectangle at point with the given width and height.</summary>
        <remarks>
        </remarks>
      </Docs>
    </Member>
    <Member MemberName="op_Equality">
      <MemberSignature Language="C#" Value="public static bool op_Equality (Cairo.Rectangle rectangle, Cairo.Rectangle other);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="rectangle" Type="Cairo.Rectangle" />
        <Parameter Name="other" Type="Cairo.Rectangle" />
      </Parameters>
      <Docs>
        <param name="rectangle">one rectangle</param>
        <param name="other">another rectangle</param>
        <summary>Test two rectangles for inequality.</summary>
        <returns>
          <see langword="true" /> if they contain the same values.</returns>
        <remarks>
        </remarks>
      </Docs>
    </Member>
    <Member MemberName="op_Inequality">
      <MemberSignature Language="C#" Value="public static bool op_Inequality (Cairo.Rectangle rectangle, Cairo.Rectangle other);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="rectangle" Type="Cairo.Rectangle" />
        <Parameter Name="other" Type="Cairo.Rectangle" />
      </Parameters>
      <Docs>
        <param name="rectangle">one rectangle</param>
        <param name="other">another rectangle</param>
        <summary>Test two rectangles for inequality.</summary>
        <returns>
          <see langword="true" /> if they do not contain the same values.</returns>
        <remarks>
        </remarks>
      </Docs>
    </Member>
    <Member MemberName="X">
      <MemberSignature Language="C#" Value="public double X { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Double</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>The X coordinate</summary>
        <value>X value</value>
        <remarks>
        </remarks>
      </Docs>
    </Member>
    <Member MemberName="Y">
      <MemberSignature Language="C#" Value="public double Y { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Double</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>The Y coordinate</summary>
        <value>Y value</value>
        <remarks>
        </remarks>
      </Docs>
    </Member>
    <Member MemberName="Width">
      <MemberSignature Language="C#" Value="public double Width { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Double</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>The width of the rectangle</summary>
        <value>the width</value>
        <remarks>
        </remarks>
      </Docs>
    </Member>
    <Member MemberName="Height">
      <MemberSignature Language="C#" Value="public double Height { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Double</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>The height of the rectangle</summary>
        <value>the height</value>
        <remarks>
        </remarks>
      </Docs>
    </Member>
  </Members>
  <Docs>
    <summary>A representation of a Rectangle.</summary>
    <remarks>
    </remarks>
  </Docs>
</Type>
